use libadwaita :: { * , ViewSwitcherPolicy :: * } ;

use crate :: ui :: { collection_view_stack :: * , component :: * } ;



pub struct ApplicationHeaderBar { widget : HeaderBar }

impl ApplicationHeaderBar {
	pub fn new ( collection_view_stack : & CollectionViewStack ) -> Self {
		let widget = HeaderBar :: builder ()
			. title_widget ( & create_collection_view_switcher (
				collection_view_stack . get_widget () ) )
			. build () ;

		Self { widget }
	}
}

impl Component <HeaderBar> for ApplicationHeaderBar {
	fn get_widget ( & self ) -> & HeaderBar { & self . widget }
}

fn create_collection_view_switcher ( stack : & ViewStack ) -> ViewSwitcher {
	ViewSwitcher :: builder ()
		. policy (Wide)
		. stack (stack)
		. build ()
}
